Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class ActionStatus

    java.lang.Object
      com.compoze.exchange.ActionStatus

public class ActionStatus
extends java.lang.Object

This class represents an action on a Message. This class abstracts three MESSAGE_ACTION_ constants on a message.

See Also:
  `PropertyKey.MESSAGE_ACTION_CODE`, `PropertyKey.MESSAGE_ACTION_FLAG`, `PropertyKey.MESSAGE_ACTION_DATE`

Field Summary
`static ActionStatus` | `ACTION_FORWARD` Action status that indicates the message was 'forwarded'.
`static ActionStatus` | `ACTION_NONE` Action status that indicates the message has not been forwarded or replied.
`static ActionStatus` | `ACTION_REPLY` Action status that indicates the message was 'replied to'.
`static ActionStatus` | `ACTION_REPLY_ALL` Action status that indicates the message was 'replied to all'.
`static int` | `VALUE_ACTION_FORWARD` Action status value flag for 'forward'.
`static int` | `VALUE_ACTION_FORWARD_CODE` Action status code for 'forward'.
`static int` | `VALUE_ACTION_NONE` Action status value flag for 'none'.
`static int` | `VALUE_ACTION_NONE_CODE` Action status code for 'none'.
`static int` | `VALUE_ACTION_REPLY` Action status value flag for 'reply to sender'.
`static int` | `VALUE_ACTION_REPLY_ALL` Action status value flag for 'reply to all'.
`static int` | `VALUE_ACTION_REPLY_CODE` Action status code for 'reply'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`int` | `getCodeValue()` Gets the value representing the status code.
`java.util.Date` | `getDate()` Gets the date of this action.
`int` | `getFlagValue()` Gets the value representing the flag.
`java.lang.String` | `toString()` Returns a string representation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_ACTION_NONE_CODE

    public static final int VALUE_ACTION_NONE_CODE

  Action status code for 'none'.

  See Also:
    Constant Field Values

### VALUE_ACTION_REPLY_CODE

    public static final int VALUE_ACTION_REPLY_CODE

  Action status code for 'reply'.

  See Also:
    Constant Field Values

### VALUE_ACTION_FORWARD_CODE

    public static final int VALUE_ACTION_FORWARD_CODE

  Action status code for 'forward'.

  See Also:
    Constant Field Values

### VALUE_ACTION_NONE

    public static final int VALUE_ACTION_NONE

  Action status value flag for 'none'.

  See Also:
    Constant Field Values

### VALUE_ACTION_REPLY

    public static final int VALUE_ACTION_REPLY

  Action status value flag for 'reply to sender'.

  See Also:
    Constant Field Values

### VALUE_ACTION_REPLY_ALL

    public static final int VALUE_ACTION_REPLY_ALL

  Action status value flag for 'reply to all'.

  See Also:
    Constant Field Values

### VALUE_ACTION_FORWARD

    public static final int VALUE_ACTION_FORWARD

  Action status value flag for 'forward'.

  See Also:
    Constant Field Values

### ACTION_REPLY

    public static final ActionStatus ACTION_REPLY

  Action status that indicates the message was 'replied to'.

### ACTION_REPLY_ALL

    public static final ActionStatus ACTION_REPLY_ALL

  Action status that indicates the message was 'replied to all'.

### ACTION_FORWARD

    public static final ActionStatus ACTION_FORWARD

  Action status that indicates the message was 'forwarded'.

### ACTION_NONE

    public static final ActionStatus ACTION_NONE

  Action status that indicates the message has not been forwarded or replied.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is 'equal' if its action flag matches.

  Parameters:
    `o` - the object for comparison
  Returns:
    `true` if the action flags are identical.

### getCodeValue

    public int getCodeValue()

  Gets the value representing the status code.

### getFlagValue

    public int getFlagValue()

  Gets the value representing the flag.

### getDate

    public java.util.Date getDate()

  Gets the date of this action.

  Returns:
    the date of the action; or `null` if it does not exist.

### toString

    public java.lang.String toString()

  Returns a string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.